import React, { useEffect, useState } from 'react';


const RawData = (activeTab) => {
  let [content, setContent] = useState('');
  let mounted = true;

  useEffect(() => {
    fetch('http://localhost:4500', {
      method: 'GET',
      headers: {
        'Content-Type': 'application/json'
      },
    }).then(data => data.json()).then((data) => {
      if (mounted) setContent(content = JSON.stringify(data, 0, 2))
    })

    return () => mounted = false;
  })


  const copy_json = function () {
    var textarea = document.querySelector(".rawData");
    textarea.select();
    textarea.setSelectionRange(0, 99999); /* For mobile devices */

    /* Copy the text inside the text field */
    document.execCommand("copy");
    console.log(textarea.value)
  }

  return (
    <div className="rawDataContainer">
      <input type="button" value="Copy JSON Data" onClick={copy_json} />
      <br />
      <textarea className="rawData" value={content} readOnly></textarea>
    </div>
  )
}

export default RawData;
